<h1>
    <span class="green-heading">I am Student Component behaving as child :)</span>
</h1>

<h3 style="color: yellowgreen;"> says:</h3>
<p style="color:blueviolet;">I, {{pricipleName}} {{teacher.name}}, I will teach you , {{teacher.subject}}.</p>